/**
Theme Name: Correlates of War
Author: Marianne Le
Author URI: https://correlatesofwar.development.la.utexas.edu
Description: Hi
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: correlates-of-war
Template: astra
*/

* {
	scrollbar-color: #205c90 #e6e6e6;
    scrollbar-width: auto;
}

::-webkit-scrollbar {
    width: 20px;
    height: 20px;
}

::-webkit-scrollbar-track {
    background-color: transparent;
}

::-webkit-scrollbar-thumb {
    background-color: #205c90;
    border-radius: 20px;
	border: 5px solid transparent;
	background-clip: padding-box;
}

::-webkit-scrollbar-thumb:hover {
    background-color: #75ad0a;
}

::-webkit-scrollbar-corner {
    background: transparent;
}

/* header */
.ast-breadcrumbs .trail-items::before {
	content: "You are here:";
	padding-right: 0.5em;
}

.main-header-bar.ast-header-breadcrumb {
	position: sticky;
	top: 0;
}

/* main content */

html {
	font-size: 1rem;
}

body {
	background-color: white;
}

h1, h2, h3, h4 {
	font-weight: bold;
}

h1.has-background, h2.has-background, h3.has-background, h4.has-background, h5.has-background, h6.has-background {
	padding: 1rem;
}

h2 a {
	font-size: 25px;
	text-decoration: none !important;
}

.wp-block-group {
    padding: 1.5em 1em;
}

.ast-single-post .entry-title, .page-title, .ast-archive-description .ast-archive-title {
	font-size: 40px;
	font-weight: normal;
}

h2.entry-title {
	font-size: 25px;
}

.ast-separate-container .ast-article-post, .ast-separate-container .ast-article-single {
	padding: 0;
}

.people-table table {
	width: auto;
}

li {
	margin: 0.75em 0;
}

/*.entry-title a {
	color: var(--ast-global-color-0);
}

.entry-title a:hover {
	color: var(--ast-global-color-1);
}*/

.ast-separate-container .ast-archive-description, .ast-separate-container .ast-author-box {
	background-color: transparent;
	padding: 0;
}

.post-content .entry-header {
	margin-bottom: 0;
	margin-top: 1em;
}

/* sidebar */
.ast-right-sidebar #secondary {
	height: min-content;
	max-height: 100vh;
	overflow-y: auto;
	background-color: white;
	position: sticky;
	top: 44px;
	padding: 16px 20px;
}

.widget:last-child p {
	margin-bottom: 0;
}

/* gutenberg */
.uagb-timeline__widget a {
	color: #333;
}

.uagb-timeline__widget h2 a {
	font-size: 25px;
}

.uagb-timeline__widget a:hover {
	color: #205c90;
}

/* media queries */
@media (max-width: 890px) {
	.site-branding.ast-site-identity {
		padding-left: 20px;
	}
}

@media (min-width: 891px) {
	.ast-separate-container.ast-right-sidebar #secondary, .ast-separate-container.ast-left-sidebar #secondary {
		margin: 64px 0 30px 20px;
	}
	.main-navigation .main-header-menu li:first-child .menu-link {
		padding-left: 0;
	}

	.main-navigation .main-header-menu li:last-child .menu-link {
		padding-right: 0;
	}
}

@media (min-width: 1200px) {
	.wp-block-group .has-background {
		padding: 1rem;
	}
}